package com.junmp.jyzb.controller;

import com.junmp.jyzb.domain.PoliceFinger;
import com.junmp.jyzb.domain.Policeman;
import com.junmp.jyzb.service.PoliceFingerService;
import com.junmp.jyzb.service.PolicemanService;
import com.junmp.jyzb.utils.ResponseResult;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

@RestController
@Slf4j
@RequestMapping("/police")
@Api(tags = "警员基础信息模块")
public class PoliceController {

    @Resource
    public PolicemanService policemanService;

    @Resource
    private PoliceFingerService fingerService;

    @PostMapping("/getAllPoliceman")
    @ApiOperation("查询警员列表")
    public ResponseResult getAllPoliceman(){
        List<Policeman> allPoliceman = policemanService.getAllPoliceman();
        return new ResponseResult(10000,"操作成功",allPoliceman);
    }

    @PostMapping("/getOnePolice")
    @ApiOperation("查询单个警员信息")
    public ResponseResult getFingerprintsByUserId(@RequestBody Map<String, Object> msg) {
        String userId = msg.get("policeId").toString();
        Map<String, Object> policeMsg = policemanService.getPoliceMsg(userId);

        List<Map<String, Object>> fingerprints = fingerService.getFingersByUserId(userId);
        policeMsg.put("fingerMsg",fingerprints);

        return new ResponseResult(10000,"操作成功",policeMsg);
    }
}
