package com.junmp.jyzb.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.util.Date;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@ApiModel(value = "com-junmp-jyzb-domain-Cabinet")
@Data
@AllArgsConstructor
@NoArgsConstructor
public class Cabinet implements Serializable {
    /**
     * 单警柜ID
     */
    @ApiModelProperty(value = "单警柜ID")
    private String id;

    /**
     * 单警柜编号
     */
    @ApiModelProperty(value = "单警柜编号")
    private String cabinetNum;

    /**
     * 单警柜名称
     */
    @ApiModelProperty(value = "单警柜名称")
    private String name;

    /**
     * 组织机构号
     */
    @ApiModelProperty(value = "组织机构号")
    private String orgId;

    /**
     * 位置信息
     */
    @ApiModelProperty(value = "位置信息")
    private String location;

    /**
     * 单警柜当前状态，0正常，1异常
     */
    @ApiModelProperty(value = "单警柜当前状态，0正常，1异常")
    private Integer errorState;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    /**
     * 更新时间
     */
    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

    /**
     * 创建人员
     */
    @ApiModelProperty(value = "创建人员")
    private Date createUser;

    /**
     * 更新人员
     */
    @ApiModelProperty(value = "更新人员")
    private String updateUser;

    private static final long serialVersionUID = 1L;
}